 CREATE OR REPLACE FORCE EDITIONABLE VIEW "IGOPS"."ADHOC_APPS_SPERMISSIONS_V" ("SUSER", "SACCOUNT", "APPLICATION_ID", "APPLICATION_NAME", "APPLICATION_DESCRIPTION", "APPLICATION_RISK", "PERMISSION_ID", "PERMISSION_NAME", "PERMISSION_DESCRIPTION", "PERMISSION_RISK", "PERMISSION_TYPE", "LAST_CERTIFICATION", "IS_CERTIFIED", "CERTIFICATION_PENDING") AS   
 SELECT DISTINCT suser_account_permission.suser,
 suser_account_permission.saccount,
    data_source.id  application_id,
    data_source.name  application_name,
  to_char(data_source.description )    application_description,
    application.risk  application_risk,
    spermission.id  permission_id,
    spermission.name  permission_name,
    spermission.description  permission_description,
    spermission.risk  permission_risk,
    spermission.type  permission_type,
    max(review_instance.end_date)  last_certification,
        CASE
            WHEN max(review_instance.end_date) IS NOT NULL THEN 1
            ELSE 0
        END is_certified,
        CASE
           WHEN pending.user_id IS NOT NULL THEN 1
            ELSE 0
        END  certification_pending
   FROM suser_account_permission
     LEFT JOIN spermission ON suser_account_permission.spermission = spermission.id
     LEFT JOIN application ON spermission.application = application.id
     LEFT JOIN data_source ON application.id = data_source.id
    LEFT JOIN review_item_status_v certified ON suser_account_permission.suser = certified.user_id AND spermission.id = certified.permission_id AND certified.review_status = 'CERTIFIED'
     LEFT JOIN review_instance ON certified.review_instance_id = review_instance.id
    LEFT JOIN review_item_status_v pending ON suser_account_permission.suser = pending.user_id AND spermission.id = pending.permission_id AND pending.review_status = 'CERTIFYING' OR pending.review_status = 'AUDIT_APPROVAL'
  WHERE spermission.deleted = 0 AND spermission.effective = 1
  AND data_source.data_source_type = 'APPLICATION' AND data_source.deleted = 0
  GROUP BY suser_account_permission.suser, suser_account_permission.saccount, 
  data_source.id, data_source.name,
 to_char(data_source.description ),
  application.risk,
  spermission.id, spermission.name, spermission.description, spermission.risk, 
  spermission.type, pending.user_id;

GRANT SELECT ON IGOPS.ADHOC_APPS_SPERMISSIONS_V TO igrptuser;
CREATE OR REPLACE PUBLIC SYNONYM ADHOC_APPS_SPERMISSIONS_V FOR IGOPS.ADHOC_APPS_SPERMISSIONS_V;